# -*- coding: utf-8 -*-
from odoo import api, fields, models


class ResUsers(models.Model):
    _inherit = "res.users"

    auto_edit = fields.Boolean(
        string="Auto Edit Fields", help="Enable to make fields auto edit")

    @api.model
    def action_systray_view_account(self):
        """This is the action to view user form"""
        return self.sudo().env.ref('cyllo_base.action_my_account_form').read()[
            0]
